"""Add transaction speed

Revision ID: 7208e2a9a8e8
Revises: dfa080636f10
Create Date: 2021-01-20 23:10:47.781405

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "7208e2a9a8e8"
down_revision = "dfa080636f10"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("paymentmethods", sa.Column("confirmations", sa.Integer(), nullable=False, server_default="0"))
    op.add_column("stores", sa.Column("transaction_speed", sa.Integer(), nullable=True, server_default="0"))
    op.alter_column("paymentmethods", "confirmations", server_default=None)
    op.alter_column("stores", "transaction_speed", server_default=None)
    op.execute("update invoices set status='pending' where status='Pending'")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("paymentmethods", "confirmations")
    op.drop_column("stores", "transaction_speed")
    op.execute("update invoices set status='Pending' where status='pending'")
    # ### end Alembic commands ###
